samtools-fqidx(1)

NAME
samtools fqidx - Indexes or queries regions from a fastq file

SYNOPSIS

samtools fqidx ref.fastq [region1 [...]]

DESCRIPTION

Index reference sequence in the FASTQ format or extract subsequence from indexed reference sequence. If no region is specified, fqidx will index the file and create <ref.fastq>.fai on the disk. If regions are specified, the subsequences will be retrieved and printed to stdout in the FASTQ format. The input file can be compressed in the BGZF format. The sequences in the input file should all have different names. If they do not, indexing will emit a warning about duplicate sequences and retrieval will only produce subsequences from the first sequence with the duplicated name. samtools fqidx should only be used on fastq files with a small number of entries. Trying to use it on a file containing millions of short sequencing reads will produce an index that is almost as big as the original file, and searches using the index will be very slow and use a lot of memory.

OPTIONS

-o, --output FILE
    Write FASTQ to file rather than to stdout.

-n, --length INT
    Length of FASTQ sequence line. [60]

-c, --continue
    Continue working if a non-existent region is requested.

-r, --region-file FILE
    Read regions from a file. Format is chr:from-to, one per line.

-i, --reverse-complement
    Output the sequence as the reverse complement. When this option is used, “/rc” will be appended to the sequence names. To turn this off or change the string appended, use the --mark-strand option.

--mark-strand TYPE
    Append strand indicator to sequence name. TYPE can be one of:

    rc  Append '/rc' when writing the reverse complement. This is the default.

    no  Do not append anything.

    sign
        Append '(+)' for forward strand or '(-)' for reverse complement. This matches the output of “bedtools getfasta -s”.

    custom,<pos>,<neg>
        Append string <pos> to names when writing the forward strand and <neg> when writing the reverse strand. Spaces are preserved, so it is possible to move the indicator into the comment part of the description line by including a leading space in the strings <pos> and <neg>.

    -h, --help
        Print help message and exit.

AUTHOR

Written by Heng Li, with modifications by Andrew Whitwham and Robert Davies, all from the Sanger Institute.

SEE ALSO
samtools(1), samtools-faidx(1), samtools-fasta(1), samtools-fastq(1)

Samtools website: <http://www.htslib.org/>